人力検索はてな
モバイル版を表示しています。PC版はこちら
i-mobile

eclipseにおける、TomCatプロジェクトの正しい設定について教えてください。
http://q.hatena.ne.jp/1243698640 で質問中のものです。

現在回答待の質問があるのですが、
この中で先にどうしても切り分けしたい点だけお答えいただきたいのですが・・・
(どこまでがOKなのか? という境界線が見えず四苦八苦しています 汗)

eclipse設定は次の設定で合っていますでしょうか?
特に他に設定しないといけない点などありませんでしょうか?

?all in one eclipseを落としてインストール
?eclipseにて、次の設定を実施

1.ウィンドウ → 設定 → Java → インストール済みのJRE「1.6」に設定。
2.ウィンドウ → 設定 → Java → コンパイラー準拠レベル 「1.6」に設定。
3.ウィンドウ → 設定 → Tomcat → Tomcatバージョン「6.0」に設定 → Tomcatホーム(TomCatインストール場所を指定)
4.ウィンドウ → 設定 → Tomcat → JVM設定 「6.0」に設定。

目的としては、TomCatプロジェクトにて、
html(初期画面) → servlet → jsp(次画面) と遷移させたいといった状況です。

●質問者: ThinkThink
●カテゴリ:インターネット ウェブ制作
✍キーワード:ALL IN ONE eclipse HTML Java JRE
○ 状態 :終了
└ 回答数 : 1/1件

▽最新の回答へ

1 ● Cherenkov
●60ポイント

http://www.searchman.info/java_eclipse/1020.html

これを試してみたらいかがでしょうか。

最新版(6.0.18)特有のバグがあります。

※ 旧バージョン(6.0.16)までは、こんなことありませんでした。

C:\Tomcat6_0\conf

の中に、

tomcat-users.xml というファイルがあります。

その先頭を以下のように変更してください。

<?xml version='1.0' encoding='cp932'?>

<?xml version='1.0' encoding='utf-8'?>

◎質問者からの返答

ありがとうございます。


そのようなバグがあったのですね(驚)

こちら確認したところ、私が使用しているTomCatはVer6.0.16のようで、

最初から

<?xml version='1.0' encoding='utf-8'?> になっていました。

関連質問


●質問をもっと探す●



0.人力検索はてなトップ
8.このページを友達に紹介
9.このページの先頭へ
対応機種一覧
お問い合わせ
ヘルプ/お知らせ
ログイン
無料ユーザー登録
はてなトップ